# Almanac
The Valheim Almanac plugin is a comprehensive tool that meticulously indexes creatures, items, equipment, and player achievements, providing a detailed record of the Viking's journey. It seamlessly weaves together a rich tapestry of the player's accomplishments, transforming their adventures into a living achievement system within the expansive world of Valheim.
### Disclaimer
Complete overhaul of project!

If you are a Almanac user pre-3.0.0 release. Please make sure to delete your old files as it may cause unwanted errors.
### Features
- Creature data
- Item data
- Pieces data
- Player metrics
- Achievement system
- Leaderboard
### Configurations
- color configurations for damage modifiers
- localization yml file for extended language support

- Knowledge wall server synced configuration
- Achievement server synced configurations
```
For more details about how to create your own localization yml file.
Please find me on OdinPlus discord.
There will be a mod-test release channel where we will be sharing configs.
If you give me one in your language, I will happily embedded it into the mod.
```

| `Version` | `Update Notes`                                                                                   |
|-----------|--------------------------------------------------------------------------------------------------|
| 1.0.0     | - Initial Release                                                                                |
| 1.0.1     | - Wrong name lol                                                                                 |
| 1.0.2     | - Small Tweak for compatibility with RtdMonsters and monsterlabz                                 |
| 1.0.3     | - Fixed compatibility with modded monster mods that have missing values                          |
| 1.0.4     | - Minor tweaks to make mod work in various languages by having text dynamically resize           |
| 1.0.5     | - Minor changes to the logic on how it finds creature to display in languages other than english |
| 1.0.6     | - Added a patch to fix any overlapping trophies                                                  |
| 1.0.7     | - Hotfix for latest valheim patch - more updates to come soon                                    |
| 2.0.0     | - Major update - Almanac now supports items |
| 2.0.1     | - Almanac now supports pieces |
| 2.1.0     | - Added Black List feature and fixed minor bugs |
| 2.1.1     | - fixed minor bug |
| 2.1.2     | - fixed black list and duplicate pieces |
| 2.1.3     | - improved blacklist and added drop chance to creature info |
| 2.2.0 | - Player Metrics and Achievement system |
| 2.2.1 | - Added item count / total to panels and compatibility with MinimalUI |
| 2.2.2 | - Controller Support
| 2.2.3 | - minor bug fix with kill tracker and added config to make almanac panel transparent to use with minimal ui |
| 2.2.4 | - another minor bug fix |
| 2.2.5 | - Compatibility with World Advancement Progression
| 2.2.6 | - Added Auga incompatibility flag and fixed guardian power icon for custom powers
| 2.2.7 | - auga incompatibility
| 2.2.8 | - More redundancy on custom status effects and french translations update
| 2.2.9 | - Some krumpac compatibility work and moved ignore list to a yml format in the config folder
| 2.3.0 | - Hotfix compatibility with recent valheim patch update
| 2.3.1 | - fix for list of biome creatures config
| 3.0.0 | - Overhaul of entire project. Delete all old config files to clean up workspace
| 3.0.1 | - Fixed the leaderboard and tweaked the creature panel
| 3.0.2 | - Localization for many languages built-in and some minor fixes
| 3.0.3 | - Fixed creature panel - achievement panel improved - localization improved


![](https://i.imgur.com/wgmkQTD.png)
![](https://i.imgur.com/f8II690.png)

## Contact information
For Questions or Comments, find <span style="color:orange">Rusty</span> in the Odin Plus Team Discord

[![https://i.imgur.com/XXP6HCU.png](https://i.imgur.com/XXP6HCU.png)](https://discord.gg/v89DHnpvwS)

Or come find me at the [Modding Corner](https://discord.gg/fB8aHSfA8B)

##
If you enjoy this mod and want to support me:
[PayPal](https://paypal.me/mpei)

<span>
<img src="https://i.imgur.com/rbNygUc.png" alt="" width="150">
<img src="https://i.imgur.com/VZfZR0k.png" alt="https://www.buymeacoffee.com/peimalcolm2" width="150">
</span>
